package com.ruoyi.system.domain.req;

import com.ruoyi.common.utils.Phone;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class AppRegisterReq implements Serializable {
    private static final long serialVersionUID = -2536864616757279758L;

    @NotBlank
    @Length(max = 10)
    private String name;

    @Phone
    @NotBlank
    private String phone;

    @NotBlank
    private String password;

    @NotNull
    private Long hospitalId;

    /**
     * 专长
     */
    @Length(max = 30)
    private String speciality;

    /**
     * 医生执照
     */
    private String medicalLicense;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getSpeciality() {
        return speciality;
    }

    public void setSpeciality(String speciality) {
        this.speciality = speciality;
    }

    public String getMedicalLicense() {
        return medicalLicense;
    }

    public void setMedicalLicense(String medicalLicense) {
        this.medicalLicense = medicalLicense;
    }
}
