package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TTitleMapper;
import com.ruoyi.system.domain.TTitle;
import com.ruoyi.system.service.ITTitleService;

/**
 * 职称信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
@Service
public class TTitleServiceImpl implements ITTitleService 
{
    @Autowired
    private TTitleMapper tTitleMapper;

    /**
     * 查询职称信息
     * 
     * @param id 职称信息主键
     * @return 职称信息
     */
    @Override
    public TTitle selectTTitleById(Long id)
    {
        return tTitleMapper.selectTTitleById(id);
    }

    /**
     * 查询职称信息列表
     * 
     * @param tTitle 职称信息
     * @return 职称信息
     */
    @Override
    public List<TTitle> selectTTitleList(TTitle tTitle)
    {
        return tTitleMapper.selectTTitleList(tTitle);
    }

    /**
     * 新增职称信息
     * 
     * @param tTitle 职称信息
     * @return 结果
     */
    @Override
    public int insertTTitle(TTitle tTitle)
    {
        return tTitleMapper.insertTTitle(tTitle);
    }

    /**
     * 修改职称信息
     * 
     * @param tTitle 职称信息
     * @return 结果
     */
    @Override
    public int updateTTitle(TTitle tTitle)
    {
        return tTitleMapper.updateTTitle(tTitle);
    }

    /**
     * 批量删除职称信息
     * 
     * @param ids 需要删除的职称信息主键
     * @return 结果
     */
    @Override
    public int deleteTTitleByIds(Long[] ids)
    {
        return tTitleMapper.deleteTTitleByIds(ids);
    }

    /**
     * 删除职称信息信息
     * 
     * @param id 职称信息主键
     * @return 结果
     */
    @Override
    public int deleteTTitleById(Long id)
    {
        return tTitleMapper.deleteTTitleById(id);
    }
}
